Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03460 Color/Palette Minor Always Oct 4, 2009, 19:45 Jan 26, 2011, 01:18
Tester TrevEB View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver starfire.cpp
Version 0.134 Fixed in Version 0.141u1 Build C2D
Summary 03460: starfire, starfirea: Incorrect color at bottom of screen
Description Attract mode shows a green background color at bottom of screen where score, time left and tracking computer are shown. When gameplay begins the background color should change to purple. This does not happen. Color remains green.

When the player is hit, the strip of purple changes to green for the duration of the flashed message that you have been hit.

Color can also change to Red during gameplay as seen in the photos.
Steps To Reproduce Insert quarter and play the game.
Additional Information The correct color can be seen on the game flyer.
Note picture above text "enemy return fire"

See photos of game play here.

http://picasaweb.google.com/trevoreb/StarFireNewPictures?feat=directlink
Flags Verified with Original
Regression Version
Affected Sets / Systems starfire, starfirea
Attached Files
jpg file icon Bottom strip in Purple.JPG (18,891 bytes) Oct 5, 2009, 05:39
jpg file icon Bottom strip in red.jpg (38,012 bytes) Oct 5, 2009, 05:39
jpg file icon They Are Here!.jpg (13,940 bytes) Oct 5, 2009, 05:40
jpg file icon The machine reassembled.JPG (30,797 bytes) Oct 5, 2009, 05:40
Relationships
There are no relationship linked to this issue.
Notes
13
User avatar
No.05000
Tafoid
Administrator
Oct 4, 2009, 20:13
edited on: May 31, 2012, 04:34
I noticed you have a youtube video up for this game which I assume due to the audio is an authentic cab. Why can't we get screenshots of the original? The video that was recorded is too washed out (too high contrast/brightness) to determine authenticity of the claim. While arcade flyers are strong proof, they aren't flawless proof of an issue.


Please attach some video/document proof of the bug (and original). As the old saying goes: A picture is worth a thousand words.
User avatar
No.05001
TrevEB
Tester
Oct 4, 2009, 20:43
edited on: Oct 4, 2009, 22:18
The picture on the flyer is accurate and easily available. You also have my word as an owner that the colors are not correct.

I am using a Casio Exilim EXP-700 which is excellent for photos but merely adequate for video.

Here is a link to some current photos.

http://picasaweb.google.com/trevoreb/StarFireNewPictures?feat=directlink
User avatar
No.05006
Fujix
Administrator
Oct 5, 2009, 05:40
Thanks for photos. I moved them here.
User avatar
No.05448
TrevEB
Tester
Jan 7, 2010, 17:12
One specific time when the color changes to red is when the text
"next bonus" appears in the bottom left corner.

Looking through the source code for that text reveals the information in the most obvious file.

PANEL.ASM

Many references to panel color changes are found in this file.
User avatar
No.05550
Tafoid
Administrator
Jan 20, 2010, 15:32
I have been instructed to disallow full source code downloads from this site due to legality/liability issues. Therefore, the source posting for Star Fire is taken off public download. If someone desires such documents, they will need to look elsewhere for them than this site.
User avatar
No.05551
TrevEB
Tester
Jan 20, 2010, 19:05
Hmmm.

-The source code is Star Fire II, which doesn't exist, so you can't own what doesn't exist.

-All early exidy titles were given to mame for free download. Star Fire of course being one of them.

But, I'm not a lawyer so do what you have to do.
User avatar
No.05552
Haze
Senior Tester
Jan 21, 2010, 13:51
wasn't the code provided by the developer / owner of it? in which case, are there really any legal issues?
User avatar
No.05553
Tafoid
Administrator
Jan 21, 2010, 14:22
I'm sure if Dev saw the permission email or other communication, it wouldn't be an issue. The original posting on MAMEWORLD (which still has the download) seemed to imply permission was given. That is why I initially had no problem seeing it linked here.
User avatar
No.07099
hap
Developer
Jan 17, 2011, 19:18
fixed by Qwi Jibo
User avatar
No.07116
TrevEB
Tester
Jan 24, 2011, 18:39
edited on: Jan 26, 2011, 01:02
Confirmed.
Colors are also correct for Star Fire II.
Thanks Qwi!
A donation to Rom Dumping Union has been made in your honor.
User avatar
No.07120
hap
Developer
Jan 24, 2011, 22:35
it's a nickname =p
User avatar
No.07121
hap
Developer
Jan 25, 2011, 17:40
Sorry :)

What I meant was "Qwi Jibo" is the fixer's nickname, not a real name, and certainly not mine. :P
(my name is Michaël)
User avatar
No.07124
TrevEB
Tester
Jan 26, 2011, 01:18
Got it. Thanks!